Skip to main content
GET
/
api
/
public
/
v1
/
live
/
long-short
/
history
Get API public v1 live long short history
curl --request GET \
  --url https://api.coinversa.ai/api/public/v1/live/long-short/history \
  --header 'X-API-Key: <api-key>'
import requests

url = "https://api.coinversa.ai/api/public/v1/live/long-short/history"

headers = {"X-API-Key": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};

fetch('https://api.coinversa.ai/api/public/v1/live/long-short/history', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "coin": "<string>",
  "history": [
    {
      "accountRatio": 123,
      "avgLongLeverage": 123,
      "avgShortLeverage": 123,
      "coin": "<string>",
      "longAccounts": 123,
      "longVolume": 123,
      "netBias": 123,
      "shortAccounts": 123,
      "shortVolume": 123,
      "timestamp": 123,
      "totalUnrealizedPnl": 123,
      "volumeRatio": 123
    }
  ],
  "$schema": "<string>"
}
{
  "$schema": "<string>",
  "code": "<string>",
  "current_tier": "<string>",
  "detail": "<string>",
  "errors": [
    {
      "location": "<string>",
      "message": "<string>",
      "value": "<unknown>"
    }
  ],
  "instance": "<string>",
  "required_tier": "<string>",
  "status": 123,
  "title": "<string>",
  "type": "about:blank",
  "upgrade_url": "<string>"
}
{
  "$schema": "<string>",
  "code": "<string>",
  "current_tier": "<string>",
  "detail": "<string>",
  "errors": [
    {
      "location": "<string>",
      "message": "<string>",
      "value": "<unknown>"
    }
  ],
  "instance": "<string>",
  "required_tier": "<string>",
  "status": 123,
  "title": "<string>",
  "type": "about:blank",
  "upgrade_url": "<string>"
}
{
  "$schema": "<string>",
  "code": "<string>",
  "current_tier": "<string>",
  "detail": "<string>",
  "errors": [
    {
      "location": "<string>",
      "message": "<string>",
      "value": "<unknown>"
    }
  ],
  "instance": "<string>",
  "required_tier": "<string>",
  "status": 123,
  "title": "<string>",
  "type": "about:blank",
  "upgrade_url": "<string>"
}
{
  "$schema": "<string>",
  "code": "<string>",
  "current_tier": "<string>",
  "detail": "<string>",
  "errors": [
    {
      "location": "<string>",
      "message": "<string>",
      "value": "<unknown>"
    }
  ],
  "instance": "<string>",
  "required_tier": "<string>",
  "status": 123,
  "title": "<string>",
  "type": "about:blank",
  "upgrade_url": "<string>"
}
{
  "$schema": "<string>",
  "code": "<string>",
  "current_tier": "<string>",
  "detail": "<string>",
  "errors": [
    {
      "location": "<string>",
      "message": "<string>",
      "value": "<unknown>"
    }
  ],
  "instance": "<string>",
  "required_tier": "<string>",
  "status": 123,
  "title": "<string>",
  "type": "about:blank",
  "upgrade_url": "<string>"
}

Authorizations

X-API-Key
string
header
required

Query Parameters

coin
string
default:_GLOBAL
hours
integer<int32>
default:168

Response

OK

coin
string
required
history
object[] | null
required
$schema
string<uri>
read-only

A URL to the JSON Schema for this object.

Example:

"https://api.coinversa.ai/schemas/Get-api-public-v1-live-long-short-historyResponse.json"